Bug 73020 - RFE rpm-spec-mode should use compile instead of start-process
RFE rpm-spec-mode should use compile instead of start-process
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-29 19:24 EDT by Michal Jaegermann
Modified: 2015-01-07 19:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-20 03:31:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-08-29 19:24:23 EDT
Description of Problem:

Function 'rpm-build' instead of using start-process should really set
'compilation-command' variable and run 'compile'.  The real difference is how you
are walking through errors in a compilation buffer as opposed to "Fundamental"
one.  Run "M-x compile" and replace a default compilation commmand by
something like "rpmbuild -ba my.spec" to see for yourself.

This will also likely simplify rpm-spec-mode.el a small bit.
Comment 1 Jens Petersen 2003-01-15 10:24:33 EST
rpm-spec-mode.el maintainer said he'd try to add this feature
in a coming version.

Note You need to log in before you can comment on or make changes to this bug.